React Testimonials Sections

React Testimonials Sections - Bootstrap 4 & Material Design

React Bootstrap Testimonials can be used to present what people say about your project.


Testimonials v.1

Testimonials

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Fugit, error amet numquam iure provident voluptate esse quasi, veritatis totam voluptas nostrum quisquam eum porro a pariatur accusamus veniam.

John Doe


Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eos, adipisci.

Anna Aston


Neque cupiditate assumenda in maiores repudiandae mollitia architecto.

Maria Kate


Delectus impedit saepe officiis ab aliquam repellat, rem totam unde ducimus.

        
            
                  import React from "react";
                  import { MDBContainer, MDBRow, MDBCol, MDBCard, MDBCardUp, MDBAvatar, MDBCardBody, MDBIcon } from "mdbreact";

                  const TestimonialsPage = () => {
                    return (
                      <MDBContainer>
                        <section className="text-center my-5">
                          <h2 className="h1-responsive font-weight-bold my-5">
                            Testimonials
                          </h2>
                          <p className="dark-grey-text w-responsive mx-auto mb-5">
                            Lorem ipsum dolor sit amet, consectetur adipisicing elit. Fugit,
                            error amet numquam iure provident voluptate esse quasi, veritatis
                            totam voluptas nostrum quisquam eum porro a pariatur veniam.
                          </p>
                          <MDBRow>
                            <MDBCol lg="4" md="12" className="mb-lg-0 mb-4">
                              <MDBCard testimonial>
                                <MDBCardUp color="info" />
                                <MDBAvatar className="mx-auto white">
                                  <img
                                    src="https://mdbootstrap.com/img/Photos/Avatars/img%20(9).webp"
                                    alt=""
                                    className="rounded-circle img-fluid"
                                  />
                                </MDBAvatar>
                                <MDBCardBody>
                                  <h4 className="font-weight-bold mb-4">John Doe</h4>
                                  <hr />
                                  <p className="dark-grey-text mt-4">
                                    <MDBIcon icon="quote-left" className="pr-2" />
                                    Lorem ipsum dolor sit amet eos adipisci, consectetur
                                    adipisicing elit.
                                  </p>
                                </MDBCardBody>
                              </MDBCard>
                            </MDBCol>
                            <MDBCol lg="4" md="6" className="mb-lg-0 mb-4">
                              <MDBCard testimonial>
                                <MDBCardUp gradient="blue" />
                                <MDBAvatar className="mx-auto white">
                                  <img
                                    src="https://mdbootstrap.com/img/Photos/Avatars/img%20(20).webp"
                                    alt=""
                                    className="rounded-circle img-fluid"
                                  />
                                </MDBAvatar>
                                <MDBCardBody>
                                  <h4 className="font-weight-bold mb-4">Anna Aston</h4>
                                  <hr />
                                  <p className="dark-grey-text mt-4">
                                    <i className="fa fa-quote-left pr-2" />
                                    Neque cupiditate assumenda in maiores repudiandae mollitia
                                    architecto.
                                  </p>
                                </MDBCardBody>
                              </MDBCard>
                            </MDBCol>
                            <MDBCol lg="4" md="6" className="mb-lg-0 mb-4">
                              <MDBCard testimonial>
                                <MDBCardUp className="indigo" />
                                <MDBAvatar className="mx-auto white">
                                  <img
                                    src="https://mdbootstrap.com/img/Photos/Avatars/img%20(10).webp"
                                    alt=""
                                    className="rounded-circle img-fluid"
                                  />
                                </MDBAvatar>
                                <MDBCardBody>
                                  <h4 className="font-weight-bold mb-4">Maria Kate</h4>
                                  <hr />
                                  <p className="dark-grey-text mt-4">
                                    <i className="fa fa-quote-left pr-2" />
                                    Delectus impedit saepe officiis ab aliquam repellat rem unde
                                    ducimus.
                                  </p>
                                </MDBCardBody>
                              </MDBCard>
                            </MDBCol>
                          </MDBRow>
                        </section>
                      </MDBContainer>
                    );
                  }

                  export default TestimonialsPage;

              
        
    

Testimonials v.2

Testimonials v.2

        
            
            import React from 'react';
            import {
              MDBContainer,
              MDBCarousel,
              MDBCarouselInner,
              MDBCarouselItem,
              MDBTestimonial,
              MDBAvatar,
              MDBIcon
            } from 'mdbreact';

            const TestimonialsPage = () => {
              return (
                <MDBContainer>
                  <section className='text-center my-5'>
                    <h2 className='h1-responsive font-weight-bold my-5'>Testimonials</h2>

                    <MDBCarousel
                      activeItem={1}
                      length={3}
                      testimonial
                      interval={false}
                      showIndicators={false}
                      className='no-flex'
                    >
                      <MDBCarouselInner>
                        <MDBCarouselItem itemId='1'>
                          <MDBTestimonial>
                            <MDBAvatar className='mx-auto mb-4'>
                              <img
                                src='https://mdbootstrap.com/img/Photos/Avatars/img%20(30).webp'
                                className='rounded-circle img-fluid'
                                alt=''
                              />
                            </MDBAvatar>
                            <p>
                              <MDBIcon icon='quote-left' /> Lorem ipsum dolor sit amet,
                              consectetur adipisicing elit. Quod eos id officiis hic tenetur
                              quae quaerat ad velit ab. Lorem ipsum dolor sit amet,
                              consectetur adipisicing elit. Dolore cum accusamus eveniet
                              molestias voluptatum inventore laboriosam labore sit,
                              aspernatur praesentium iste impedit quidem dolor veniam.
                            </p>
                            <h4 className='font-weight-bold'>Anna Deynah</h4>
                            <h6 className='font-weight-bold my-3'>Founder at ET Company</h6>
                            <MDBIcon icon='star' className='blue-text' />
                            <MDBIcon icon='star' className='blue-text' />
                            <MDBIcon icon='star' className='blue-text' />
                            <MDBIcon icon='star' className='blue-text' />
                            <MDBIcon far icon='star-half' className='blue-text' />
                          </MDBTestimonial>
                        </MDBCarouselItem>
                        <MDBCarouselItem itemId='2'>
                          <MDBTestimonial>
                            <MDBAvatar className='mx-auto mb-4'>
                              <img
                                src='https://mdbootstrap.com/img/Photos/Avatars/img%20(31).webp'
                                className='rounded-circle img-fluid'
                                alt=''
                              />
                            </MDBAvatar>
                            <p>
                              <MDBIcon icon='quote-left' /> Nemo enim ipsam voluptatem quia
                              voluptas sit aspernatur aut odit aut fugit, sed quia
                              consequuntur magni dolores eos qui ratione voluptatem sequi
                              nesciunt. Neque porro quisquam est, qui dolorem ipsum quia
                              dolor sit amet, consectetur, adipisci velit, sed quia non
                              numquam eius modi tempora incidunt ut labore.
                            </p>
                            <h4 className='font-weight-bold'>Maria Kate</h4>
                            <h6 className='font-weight-bold my-3'>
                              Photographer at Studio LA
                            </h6>
                            <MDBIcon icon='star' className='blue-text' />
                            <MDBIcon icon='star' className='blue-text' />
                            <MDBIcon icon='star' className='blue-text' />
                            <MDBIcon icon='star' className='blue-text' />
                            <MDBIcon icon='star' className='blue-text' />
                          </MDBTestimonial>
                        </MDBCarouselItem>
                        <MDBCarouselItem itemId='3'>
                          <MDBTestimonial>
                            <MDBAvatar className='mx-auto mb-4'>
                              <img
                                src='https://mdbootstrap.com/img/Photos/Avatars/img%20(3).webp'
                                className='rounded-circle img-fluid'
                                alt=''
                              />
                            </MDBAvatar>
                            <p>
                              <MDBIcon icon='quote-left' /> Duis aute irure dolor in
                              reprehenderit in voluptate velit esse cillum dolore eu fugiat
                              nulla pariatur. Excepteur sint occaecat cupidatat non
                              proident, sunt in culpa qui officia deserunt mollit anim id
                              est laborum. Sed ut perspiciatis unde omnis iste natus error
                              sit voluptatem accusantium doloremque laudantium.
                            </p>
                            <h4 className='font-weight-bold'>John Doe</h4>
                            <h6 className='font-weight-bold my-3'>
                              Front-end Developer in NY
                            </h6>
                            <MDBIcon icon='star' className='blue-text' />
                            <MDBIcon icon='star' className='blue-text' />
                            <MDBIcon icon='star' className='blue-text' />
                            <MDBIcon icon='star' className='blue-text' />
                            <MDBIcon far icon='star' className='blue-text' />
                          </MDBTestimonial>
                        </MDBCarouselItem>
                      </MDBCarouselInner>
                    </MDBCarousel>
                  </section>
                </MDBContainer>
              );
            };

            export default TestimonialsPage;

              
        
    

Testimonials v.3

Testimonials v.3

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Fugit, error amet numquam iure provident voluptate esse quasi, veritatis totam voluptas nostrum quisquam eum porro a pariatur accusamus veniam.

Anna Deynah

Web Designer

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quod eos id officiis hic tenetur quae quaerat ad velit ab hic tenetur.

John Doe

Web Developer

Ut enim ad minima veniam, quis nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi.

Maria Kate

Photographer

At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti.

        
            
                  import React from "react";
                  import { MDBContainer, MDBRow, MDBCol, MDBTestimonial, MDBAvatar,  MDBIcon } from "mdbreact";

                  const TestimonialsPage = () => {
                    return (
                      <MDBContainer>
                        <section className="team-section text-center my-5">
                            <h2 className="h1-responsive font-weight-bold my-5">
                              Testimonials v.3
                            </h2>
                            <p className="dark-grey-text w-responsive mx-auto mb-5">
                              Lorem ipsum dolor sit amet, consectetur adipisicing elit. Fugit,
                              error amet numquam iure provident voluptate esse quasi, veritatis
                              totam voluptas nostrum quisquam eum porro a pariatur veniam.
                            </p>

                            <MDBRow className="text-center">
                              <MDBCol md="4" className="mb-md-0 mb-5">
                                <MDBTestimonial>
                                  <MDBAvatar className="mx-auto">
                                    <img
                                      src="https://mdbootstrap.com/img/Photos/Avatars/img%20(1).webp"
                                      alt=""
                                      className="rounded-circle z-depth-1 img-fluid"
                                    />
                                  </MDBAvatar>
                                  <h4 className="font-weight-bold dark-grey-text mt-4">
                                    Anna Deynah
                                  </h4>
                                  <h6 className="font-weight-bold blue-text my-3">
                                    Web Designer
                                  </h6>
                                  <p className="font-weight-normal dark-grey-text">
                                    <MDBIcon className="fa fa-quote-left pr-2" />
                                    Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quod
                                    eos id officiis hic tenetur quae quaerat ad velit ab hic
                                    tenetur.
                                  </p>
                                  <div className="orange-text">
                                    <MDBIcon icon="star" />
                                    <MDBIcon icon="star" />
                                    <MDBIcon icon="star" />
                                    <MDBIcon icon="star" />
                                    <MDBIcon far icon="star-half" />
                                  </div>
                                </MDBTestimonial>
                              </MDBCol>
                              <MDBCol md="4" className="mb-md-0 mb-5">
                                <MDBTestimonial>
                                  <MDBAvatar className="mx-auto">
                                    <img
                                      src="https://mdbootstrap.com/img/Photos/Avatars/img%20(8).webp"
                                      alt=""
                                      className="rounded-circle z-depth-1 img-fluid"
                                    />
                                  </MDBAvatar>
                                  <h4 className="font-weight-bold dark-grey-text mt-4">
                                    John Doe
                                  </h4>
                                  <h6 className="font-weight-bold blue-text my-3">
                                    Web Developer
                                  </h6>
                                  <p className="font-weight-normal dark-grey-text">
                                    <MDBIcon className="fa fa-quote-left pr-2" />
                                    Ut enim ad minima veniam, quis nostrum exercitationem ullam
                                    corporis suscipit laboriosam, nisi ut aliquid commodi.
                                  </p>
                                  <div className="orange-text">
                                    <MDBIcon icon="star" />
                                    <MDBIcon icon="star" />
                                    <MDBIcon icon="star" />
                                    <MDBIcon icon="star" />
                                    <MDBIcon icon="star" />
                                  </div>
                                </MDBTestimonial>
                              </MDBCol>
                              <MDBCol md="4">
                                <MDBTestimonial>
                                  <MDBAvatar className="mx-auto">
                                    <img
                                      src="https://mdbootstrap.com/img/Photos/Avatars/img%20(10).webp"
                                      alt=""
                                      className="rounded-circle z-depth-1 img-fluid"
                                    />
                                  </MDBAvatar>
                                  <h4 className="font-weight-bold dark-grey-text mt-4">
                                    Maria Kate
                                  </h4>
                                  <h6 className="font-weight-bold blue-text my-3">
                                    Photographer
                                  </h6>
                                  <p className="font-weight-normal dark-grey-text">
                                    <MDBIcon className="fa fa-quote-left pr-2" />
                                    At vero eos et accusamus et iusto odio dignissimos ducimus qui
                                    blanditiis praesentium voluptatum deleniti atque corrupti.
                                  </p>
                                  <div className="orange-text">
                                    <MDBIcon icon="star" />
                                    <MDBIcon icon="star" />
                                    <MDBIcon icon="star" />
                                    <MDBIcon icon="star" />
                                    <MDBIcon far icon="star" />
                                  </div>
                                </MDBTestimonial>
                              </MDBCol>
                            </MDBRow>
                          </section>
                      </MDBContainer>
                    );
                  }

                  export default TestimonialsPage;
              
        
    

Testimonials v.4

Testimonials

        
            
                  import React  from "react";
                  import { MDBCarousel, MDBCarouselInner, MDBCarouselItem, MDBContainer, MDBRow, MDBCol, MDBTestimonial, MDBAvatar, MDBIcon } from "mdbreact";

                  const TestimonialsMultiPage = () => {
                    return (
                      <MDBContainer>
                        <section className="text-center my-5">
                          <h2 className="h1-responsive font-weight-bold my-5">
                            Testimonials v.4
                          </h2>
                          <MDBCarousel
                            activeItem={1}
                            length={3}
                            slide={true}
                            showControls={true}
                            multiItem
                            testimonial
                          >
                            <MDBCarouselInner>
                              <MDBRow>
                                <MDBCarouselItem itemId="1">
                                  <MDBCol md="4">
                                    <MDBTestimonial>
                                      <MDBAvatar className="mx-auto">
                                        <img
                                          src="https://mdbootstrap.com/img/Photos/Avatars/img%20(26).webp"
                                          alt=""
                                          className="rounded-circle img-fluid"
                                        />
                                      </MDBAvatar>
                                      <h4 className="font-weight-bold mt-4">Anna Deynah</h4>
                                      <h6 className="blue-text font-weight-bold my-3">
                                        Web Designer
                                      </h6>
                                      <p className="font-weight-normal">
                                        <MDBIcon icon="quote-left" className="pr-2" />
                                        Lorem ipsum dolor sit amet, consectetur adipisicing
                                        elit. Quod eos id officiis hic tenetur.
                                      </p>
                                      <div className="grey-text">
                                        <MDBIcon icon="star" />
                                        <MDBIcon icon="star" />
                                        <MDBIcon icon="star" />
                                        <MDBIcon icon="star" />
                                        <MDBIcon far icon="star-half" />
                                      </div>
                                    </MDBTestimonial>
                                  </MDBCol>
                                  <MDBCol md="4" className="clearfix d-none d-md-block">
                                    <MDBTestimonial>
                                      <MDBAvatar className="mx-auto">
                                        <img
                                          src="https://mdbootstrap.com/img/Photos/Avatars/img%20(27).webp"
                                          alt=""
                                          className="rounded-circle img-fluid"
                                        />
                                      </MDBAvatar>
                                      <h4 className="font-weight-bold mt-4">John Doe</h4>
                                      <h6 className="blue-text font-weight-bold my-3">
                                        Web Developer
                                      </h6>
                                      <p className="font-weight-normal">
                                        <MDBIcon icon="quote-left" className="pr-2" />
                                        Ut enim ad minima veniam, quis nostrum exercitationem
                                        ullam corporis laboriosam.
                                      </p>
                                      <div className="grey-text">
                                        <MDBIcon icon="star" />
                                        <MDBIcon icon="star" />
                                        <MDBIcon icon="star" />
                                        <MDBIcon icon="star" />
                                        <MDBIcon icon="star" />
                                      </div>
                                    </MDBTestimonial>
                                  </MDBCol>
                                  <MDBCol md="4" className="clearfix d-none d-md-block">
                                    <MDBTestimonial>
                                      <MDBAvatar className="mx-auto">
                                        <img
                                          src="https://mdbootstrap.com/img/Photos/Avatars/img%20(31).webp"
                                          alt=""
                                          className="rounded-circle img-fluid"
                                        />
                                      </MDBAvatar>
                                      <h4 className="font-weight-bold mt-4">Abbey Clark</h4>
                                      <h6 className="blue-text font-weight-bold my-3">
                                        Photographer
                                      </h6>
                                      <p className="font-weight-normal">
                                        <MDBIcon icon="quote-left" className="pr-2" />
                                        Quis autem vel eum iure reprehenderit qui in ea
                                        voluptate velit esse quam nihil molestiae.
                                      </p>
                                      <div className="grey-text">
                                        <MDBIcon icon="star" />
                                        <MDBIcon icon="star" />
                                        <MDBIcon icon="star" />
                                        <MDBIcon icon="star" />
                                        <MDBIcon far icon="star" />
                                      </div>
                                    </MDBTestimonial>
                                  </MDBCol>
                                </MDBCarouselItem>
                                <MDBCarouselItem itemId="2">
                                  <MDBCol md="4">
                                    <MDBTestimonial>
                                      <MDBAvatar className="mx-auto">
                                        <img
                                          src="https://mdbootstrap.com/img/Photos/Avatars/img%20(4).webp"
                                          alt=""
                                          className="rounded-circle img-fluid"
                                        />
                                      </MDBAvatar>
                                      <h4 className="font-weight-bold mt-4">Blake Dabney</h4>
                                      <h6 className="blue-text font-weight-bold my-3">
                                        Web Designer
                                      </h6>
                                      <p className="font-weight-normal">
                                        <MDBIcon icon="quote-left" className="pr-2" />
                                        Ut enim ad minima veniam, quis nostrum exercitationem
                                        ullam corporis laboriosam.
                                      </p>
                                      <div className="grey-text">
                                        <MDBIcon icon="star" />
                                        <MDBIcon icon="star" />
                                        <MDBIcon icon="star" />
                                        <MDBIcon icon="star" />
                                        <MDBIcon far icon="star-half" />
                                      </div>
                                    </MDBTestimonial>
                                  </MDBCol>
                                  <MDBCol md="4" className="clearfix d-none d-md-block">
                                    <MDBTestimonial>
                                      <MDBAvatar className="mx-auto">
                                        <img
                                          src="https://mdbootstrap.com/img/Photos/Avatars/img%20(6).webp"
                                          alt=""
                                          className="rounded-circle img-fluid"
                                        />
                                      </MDBAvatar>
                                      <h4 className="font-weight-bold mt-4">Andrea Clay</h4>
                                      <h6 className="blue-text font-weight-bold my-3">
                                        Front-end developer
                                      </h6>
                                      <p className="font-weight-normal">
                                        <MDBIcon icon="quote-left" className="pr-2" />
                                        Lorem ipsum dolor sit amet, consectetur adipisicing
                                        elit. Quod eos id officiis hic tenetur quae.
                                      </p>
                                      <div className="grey-text">
                                        <MDBIcon icon="star" />
                                        <MDBIcon icon="star" />
                                        <MDBIcon icon="star" />
                                        <MDBIcon icon="star" />
                                        <MDBIcon icon="star" />
                                      </div>
                                    </MDBTestimonial>
                                  </MDBCol>
                                  <MDBCol md="4" className="clearfix d-none d-md-block">
                                    <MDBTestimonial>
                                      <MDBAvatar className="mx-auto">
                                        <img
                                          src="https://mdbootstrap.com/img/Photos/Avatars/img%20(7).webp"
                                          alt=""
                                          className="rounded-circle img-fluid"
                                        />
                                      </MDBAvatar>
                                      <h4 className="font-weight-bold mt-4">Cami Gosse</h4>
                                      <h6 className="blue-text font-weight-bold my-3">
                                        Phtographer
                                      </h6>
                                      <p className="font-weight-normal">
                                        <MDBIcon icon="quote-left" className="pr-2" />
                                        At vero eos et accusamus et iusto odio dignissimos
                                        ducimus qui blanditiis praesentium.
                                      </p>
                                      <div className="grey-text">
                                        <MDBIcon icon="star" />
                                        <MDBIcon icon="star" />
                                        <MDBIcon icon="star" />
                                        <MDBIcon icon="star" />
                                        <MDBIcon far icon="star" />
                                      </div>
                                    </MDBTestimonial>
                                  </MDBCol>
                                </MDBCarouselItem>
                                <MDBCarouselItem itemId="3">
                                  <MDBCol md="4">
                                    <MDBTestimonial>
                                      <MDBAvatar className="mx-auto">
                                        <img
                                          src="https://mdbootstrap.com/img/Photos/Avatars/img%20(8).webp"
                                          alt=""
                                          className="rounded-circle img-fluid"
                                        />
                                      </MDBAvatar>
                                      <h4 className="font-weight-bold mt-4">Bobby Haley</h4>
                                      <h6 className="blue-text font-weight-bold my-3">
                                        Web Developer
                                      </h6>
                                      <p className="font-weight-normal">
                                        <MDBIcon icon="quote-left" className="pr-2" />
                                        Lorem ipsum dolor sit amet, consectetur adipisicing
                                        elit. Quod eos id officiis hic tenetur quae.
                                      </p>
                                      <div className="grey-text">
                                        <MDBIcon icon="star" />
                                        <MDBIcon icon="star" />
                                        <MDBIcon icon="star" />
                                        <MDBIcon icon="star" />
                                        <MDBIcon icon="star" />
                                      </div>
                                    </MDBTestimonial>
                                  </MDBCol>
                                  <MDBCol md="4" className="clearfix d-none d-md-block">
                                    <MDBTestimonial>
                                      <MDBAvatar className="mx-auto">
                                        <img
                                          src="https://mdbootstrap.com/img/Photos/Avatars/img%20(10).webp"
                                          alt=""
                                          className="rounded-circle img-fluid"
                                        />
                                      </MDBAvatar>
                                      <h4 className="font-weight-bold mt-4">Elisa Janson</h4>
                                      <h6 className="blue-text font-weight-bold my-3">
                                        Marketer
                                      </h6>
                                      <p className="font-weight-normal">
                                        <MDBIcon icon="quote-left" className="pr-2" />
                                        At vero eos et accusamus et iusto odio dignissimos
                                        ducimus qui blanditiis praesentium.
                                      </p>
                                      <div className="grey-text">
                                        <MDBIcon icon="star" />
                                        <MDBIcon icon="star" />
                                        <MDBIcon icon="star" />
                                        <MDBIcon icon="star" />
                                        <MDBIcon far icon="star-half" />
                                      </div>
                                    </MDBTestimonial>
                                  </MDBCol>
                                  <MDBCol md="4" className="clearfix d-none d-md-block">
                                    <MDBTestimonial>
                                      <MDBAvatar className="mx-auto">
                                        <img
                                          src="https://mdbootstrap.com/img/Photos/Avatars/img%20(9).webp"
                                          alt=""
                                          className="rounded-circle img-fluid"
                                        />
                                      </MDBAvatar>
                                      <h4 className="font-weight-bold mt-4">Rob Jacobs</h4>
                                      <h6 className="blue-text font-weight-bold my-3">
                                        Front-end developer
                                      </h6>
                                      <p className="font-weight-normal">
                                        <MDBIcon icon="quote-left" className="pr-2" />
                                        Ut enim ad minima veniam, quis nostrum exercitationem
                                        ullam corporis laboriosam.
                                      </p>
                                      <div className="grey-text">
                                        <MDBIcon icon="star" />
                                        <MDBIcon icon="star" />
                                        <MDBIcon icon="star" />
                                        <MDBIcon icon="star" />
                                        <MDBIcon far icon="star" />
                                      </div>
                                    </MDBTestimonial>
                                  </MDBCol>
                                </MDBCarouselItem>
                              </MDBRow>
                            </MDBCarouselInner>
                          </MDBCarousel>
                        </section>
                      </MDBContainer>
                    );
                  }

                  export default TestimonialsMultiPage;

Angular Bootstrap Testimonials section

Angular testimonials section - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

In order to present what people say about your project use our amazing testimonials.


Required styles import

Starting with MDB Angular 8, using the following components requires importing an additional stylesheet. Add the following imports to the global styles.scss stylesheet file.

        
            
          @import "~ng-uikit-pro-standard/assets/scss/core/colors";
          @import "~ng-uikit-pro-standard/assets/scss/core/variables";
          @import "~ng-uikit-pro-standard/assets/scss/core/variables-pro";
  
          @import "~ng-uikit-pro-standard/assets/scss/sections-pro/_testimonials-pro.scss";
        
        
    

Testimonials v.1 MDB Pro component

Testimonials v.1

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Fugit, error amet numquam iure provident voluptate esse quasi, veritatis totam voluptas nostrum quisquam eum porro a pariatur veniam.

John Doe


Lorem ipsum dolor sit amet eos adipisci, consectetur adipisicing elit.

Anna Aston


Neque cupiditate assumenda in maiores repudiandae mollitia architecto.

Maria Kate


Delectus impedit saepe officiis ab aliquam repellat rem unde ducimus.

        
            
            <!-- Section: Testimonials v.1 -->
            <section class="text-center my-5">
  
              <!-- Section heading -->
              <h2 class="h1-responsive font-weight-bold my-5">Testimonials v.1</h2>
              <!-- Section description -->
              <p class="dark-grey-text w-responsive mx-auto mb-5">Lorem ipsum dolor sit amet, consectetur adipisicing elit.
                Fugit,
                error amet numquam iure provident voluptate esse quasi,
                veritatis totam voluptas nostrum quisquam eum porro a pariatur veniam.</p>
  
              <!-- Grid row -->
              <div class="row">
  
                <!--Grid column-->
                <div class="col-lg-4 col-md-12 mb-lg-0 mb-4">
                  <!--Card-->
                  <mdb-card class="testimonial-card">
                    <!--Background color-->
                    <div class="card-up info-color"></div>
                    <!--Avatar-->
                    <div class="avatar mx-auto white">
                      <mdb-card-img src="https://mdbootstrap.com/img/Photos/Avatars/img%20(9).webp" class="rounded-circle"></mdb-card-img>
                    </div>
                    <mdb-card-body>
                      <!--Name-->
                      <h4 class="font-weight-bold mb-4">John Doe</h4>
                      <hr>
                      <!--Quotation-->
                      <p class="dark-grey-text mt-4">
                        <mdb-icon fas icon="quote-left" class="pr-2"></mdb-icon>Lorem ipsum dolor sit amet eos adipisci, consectetur
                        adipisicing elit.</p>
                    </mdb-card-body>
                  </mdb-card>
                  <!--Card-->
                </div>
                <!--Grid column-->
  
                <!--Grid column-->
                <div class="col-lg-4 col-md-6 mb-md-0 mb-4">
                  <!--Card-->
                  <mdb-card class="testimonial-card">
                    <!--Background color-->
                    <div class="card-up blue-gradient">
                    </div>
                    <!--Avatar-->
                    <div class="avatar mx-auto white">
                      <img src="https://mdbootstrap.com/img/Photos/Avatars/img%20(20).webp" class="rounded-circle img-fluid">
                    </div>
                    <mdb-card-body>
                      <!--Name-->
                      <h4 class="font-weight-bold mb-4">Anna Aston</h4>
                      <hr>
                      <!--Quotation-->
                      <p class="dark-grey-text mt-4">
                        <mdb-icon fas icon="quote-left" class="pr-2"></mdb-icon>Neque cupiditate assumenda in maiores repudiandae mollitia
                        architecto.</p>
                    </mdb-card-body>
                  </mdb-card>
                  <!--Card-->
                </div>
                <!--Grid column-->
  
                <!--Grid column-->
                <div class="col-lg-4 col-md-6">
                  <!--Card-->
                  <mdb-card class="testimonial-card">
                    <!--Background color-->
                    <div class="card-up indigo"></div>
                    <!--Avatar-->
                    <div class="avatar mx-auto white">
                      <img src="https://mdbootstrap.com/img/Photos/Avatars/img%20(10).webp" class="rounded-circle img-fluid">
                    </div>
                    <mdb-card-body>
                      <!--Name-->
                      <h4 class="font-weight-bold mb-4">Maria Kate</h4>
                      <hr>
                      <!--Quotation-->
                      <p class="dark-grey-text mt-4">
                        <mdb-icon fas icon="quote-left" class="pr-2"></mdb-icon>Delectus impedit saepe officiis ab aliquam repellat rem unde
                        ducimus.</p>
                    </mdb-card-body>
                  </mdb-card>
                  <!--Card-->
                </div>
                <!--Grid column-->
  
              </div>
              <!-- Grid row -->
  
            </section>
            <!-- Section: Testimonials v.1 -->
          
        
    

Testimonials v.2 MDB Pro component

Testimonials v.2

        
            
            <!-- Section: Testimonials v.2 -->
            <section class="text-center my-5">
              <!-- Section heading -->
              <h2 class="h1-responsive font-weight-bold my-5">Testimonials v.2</h2>
              <!--Carousel Wrapper-->
              <mdb-carousel [isControls]="false" [animation]="'slide'" class="testimonial-carousel">
                <!--First slide-->
                <mdb-slide>
                  <div class="testimonial">
                    <!--Avatar-->
                    <div class="avatar mx-auto mb-4">
                      <img src="https://mdbootstrap.com/img/Photos/Avatars/img%20(30).webp" class="rounded-circle img-fluid"
                        alt="First sample avatar image">
                    </div>
                    <!--Content-->
                    <p>
                      <mdb-icon fas icon="quote-left"></mdb-icon> Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quod eos
                      id
                      officiis hic tenetur quae quaerat ad
                      velit ab. Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dolore cum accusamus eveniet
                      molestias
                      voluptatum
                      inventore laboriosam labore sit, aspernatur praesentium iste impedit quidem dolor veniam.
                    </p>
                    <h4 class="font-weight-bold">Anna Deynah</h4>
                    <h6 class="font-weight-bold my-3">Founder at ET Company</h6>
                    <!--Review-->
                    <mdb-icon fas icon="star" class="blue-text"> </mdb-icon>
                    <mdb-icon fas icon="star" class="blue-text"> </mdb-icon>
                    <mdb-icon fas icon="star" class="blue-text"> </mdb-icon>
                    <mdb-icon fas icon="star" class="blue-text"> </mdb-icon>
                    <mdb-icon fas icon="star-half" class="blue-text"> </mdb-icon>
                  </div>
                </mdb-slide>
                <!--/First slide-->
                <!--Second slide-->
                <mdb-slide>
                  <div class="testimonial">
                    <!--Avatar-->
                    <div class="avatar mx-auto mb-4">
                      <img src="https://mdbootstrap.com/img/Photos/Avatars/img%20(31).webp" class="rounded-circle img-fluid"
                        alt="Second sample avatar image">
                    </div>
                    <!--Content-->
                    <p>
                      <mdb-icon fas icon="quote-left"></mdb-icon> Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut
                      fugit,
                      sed quia consequuntur magni dolores
                      eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit
                      amet,
                      consectetur,
                      adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore.
                    </p>
                    <h4 class="font-weight-bold">Maria Kate</h4>
                    <h6 class="font-weight-bold my-3">Photographer at Studio LA</h6>
                    <!--Review-->
                    <mdb-icon fas icon="star" class="blue-text"> </mdb-icon>
                    <mdb-icon fas icon="star" class="blue-text"> </mdb-icon>
                    <mdb-icon fas icon="star" class="blue-text"> </mdb-icon>
                    <mdb-icon fas icon="star" class="blue-text"> </mdb-icon>
                    <mdb-icon fas icon="star" class="blue-text"> </mdb-icon>
                  </div>
                </mdb-slide>
                <!--/Second slide-->
                <!--Third slide-->
                <mdb-slide>
                  <div class="testimonial">
                    <!--Avatar-->
                    <div class="avatar mx-auto mb-4">
                      <img src="https://mdbootstrap.com/img/Photos/Avatars/img%20(3).webp" class="rounded-circle img-fluid"
                        alt="Third sample avatar image">
                    </div>
                    <!--Content-->
                    <p>
                      <mdb-icon fas icon="quote-left"></mdb-icon> Duis aute irure dolor in reprehenderit in voluptate velit esse
                      cillum dolore
                      eu fugiat nulla
                      pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit
                      anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium
                      doloremque
                      laudantium.</p>
                    <h4 class="font-weight-bold">John Doe</h4>
                    <h6 class="font-weight-bold my-3">Front-end Developer in NY</h6>
                    <!--Review-->
                    <mdb-icon fas icon="star" class="blue-text"> </mdb-icon>
                    <mdb-icon fas icon="star" class="blue-text"> </mdb-icon>
                    <mdb-icon fas icon="star" class="blue-text"> </mdb-icon>
                    <mdb-icon fas icon="star" class="blue-text"> </mdb-icon>
                    <mdb-icon fas icon="star" class="blue-text"> </mdb-icon>
                  </div>
                </mdb-slide>
                <!--/Third slide-->
              </mdb-carousel>
              <!--/.Carousel Wrapper-->
            </section>
            <!-- Section: Testimonials v.2 -->
          
        
    

Testimonials v.3 MDB Pro component

Testimonials v.3

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Fugit, error amet numquam iure provident voluptate esse quasi, veritatis totam voluptas nostrum quisquam eum porro a pariatur veniam.

Anna Deynah

Web Designer

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quod eos id officiis hic tenetur quae quaerat ad velit ab hic tenetur.

John Doe

Web Developer

Ut enim ad minima veniam, quis nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid commodi.

Maria Kate

Photographer

At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti.

        
            
            <!-- Section: Testimonials v.3 -->
            <section class="team-section text-center my-5">
  
              <!-- Section heading -->
              <h2 class="h1-responsive font-weight-bold my-5">Testimonials v.3</h2>
              <!-- Section description -->
              <p class="dark-grey-text w-responsive mx-auto mb-5">Lorem ipsum dolor sit amet, consectetur adipisicing elit.
                Fugit,
                error amet numquam iure provident voluptate esse quasi,
                veritatis totam voluptas nostrum quisquam eum porro a pariatur veniam.</p>
  
              <!--Grid row-->
              <div class="row text-center">
  
                <!--Grid column-->
                <div class="col-md-4 mb-md-0 mb-5">
  
                  <div class="testimonial">
                    <!--Avatar-->
                    <div class="avatar mx-auto">
                      <img src="https://mdbootstrap.com/img/Photos/Avatars/img%20(1).webp" class="rounded-circle z-depth-1 img-fluid">
                    </div>
                    <!--Content-->
                    <h4 class="font-weight-bold dark-grey-text mt-4">Anna Deynah</h4>
                    <h6 class="font-weight-bold blue-text my-3">Web Designer</h6>
                    <p class="font-weight-normal dark-grey-text">
                      <mdb-icon fas icon="quote-left" class="pr-2"></mdb-icon>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quod
                      eos id
                      officiis hic tenetur quae quaerat
                      ad velit ab hic tenetur.</p>
                    <!--Review-->
                    <div class="orange-text">
                      <mdb-icon fas icon="star"> </mdb-icon>
                      <mdb-icon fas icon="star"> </mdb-icon>
                      <mdb-icon fas icon="star"> </mdb-icon>
                      <mdb-icon fas icon="star"> </mdb-icon>
                      <mdb-icon fas icon="star-half"> </mdb-icon>
                    </div>
                  </div>
  
                </div>
                <!--Grid column-->
  
                <!--Grid column-->
                <div class="col-md-4 mb-md-0 mb-5">
  
                  <div class="testimonial">
                    <!--Avatar-->
                    <div class="avatar mx-auto">
                      <img src="https://mdbootstrap.com/img/Photos/Avatars/img%20(8).webp" class="rounded-circle z-depth-1 img-fluid">
                    </div>
                    <!--Content-->
                    <h4 class="font-weight-bold dark-grey-text mt-4">John Doe</h4>
                    <h6 class="font-weight-bold blue-text my-3">Web Developer</h6>
                    <p class="font-weight-normal dark-grey-text">
                      <mdb-icon fas icon="quote-left" class="pr-2"></mdb-icon>Ut enim ad minima veniam, quis nostrum exercitationem ullam
                      corporis
                      suscipit laboriosam, nisi ut
                      aliquid commodi.
                    </p>
                    <!--Review-->
                    <div class="orange-text">
                      <mdb-icon fas icon="star"> </mdb-icon>
                      <mdb-icon fas icon="star"> </mdb-icon>
                      <mdb-icon fas icon="star"> </mdb-icon>
                      <mdb-icon fas icon="star"> </mdb-icon>
                      <mdb-icon fas icon="star"> </mdb-icon>
                    </div>
                  </div>
  
                </div>
                <!--Grid column-->
  
                <!--Grid column-->
                <div class="col-md-4">
  
                  <div class="testimonial">
                    <!--Avatar-->
                    <div class="avatar mx-auto">
                      <img src="https://mdbootstrap.com/img/Photos/Avatars/img%20(10).webp" class="rounded-circle z-depth-1 img-fluid">
                    </div>
                    <!--Content-->
                    <h4 class="font-weight-bold dark-grey-text mt-4">Maria Kate</h4>
                    <h6 class="font-weight-bold blue-text my-3">Photographer</h6>
                    <p class="font-weight-normal dark-grey-text">
                      <mdb-icon fas icon="quote-left" class="pr-2"></mdb-icon>At vero eos et accusamus et iusto odio dignissimos ducimus qui
                      blanditiis praesentium voluptatum
                      deleniti atque corrupti.</p>
                    <!--Review-->
                    <div class="orange-text">
                      <mdb-icon fas icon="star"> </mdb-icon>
                      <mdb-icon fas icon="star"> </mdb-icon>
                      <mdb-icon fas icon="star"> </mdb-icon>
                      <mdb-icon fas icon="star"> </mdb-icon>
                      <mdb-icon fas icon="star"> </mdb-icon>
                    </div>
                  </div>
  
                </div>
                <!--Grid column-->
  
              </div>
              <!--Grid row-->
  
            </section>
            <!-- Section: Testimonials v.3 -->
          
        
    

Testimonials v.4 MDB Pro component

Testimonials v.4

        
            
            <!-- Section: Testimonials v.4 -->
            <section class="container text-center my-5 mt-5">
              <!-- Section heading -->
              <h2 class="h1-responsive font-weight-bold my-5">Testimonials v.4</h2>
              <!-- Grid row -->
              <div class="row">
                <!--Carousel Wrapper-->
                <mdb-carousel [isControls]="true" class="carousel-multi-item multi-animation testimonial-carousel" [type]="'carousel-multi-item'"
                  [animation]="'slide'">
                  <!--First slide-->
                  <mdb-slide>
                    <!--Grid column-->
                    <div class="col-md-4">
                      <div class="testimonial">
                        <!--Avatar-->
                        <div class="avatar mx-auto">
                          <img src="https://mdbootstrap.com/img/Photos/Avatars/img%20(25).webp" class="rounded-circle img-fluid">
                        </div>
                        <!--Content-->
                        <h4 class="font-weight-bold mt-4">Anna Deynah</h4>
                        <h6 class="blue-text font-weight-bold my-3">Web Designer</h6>
                        <p class="font-weight-normal">
                          <mdb-icon fas icon="quote-left" class="pr-2"></mdb-icon>Lorem ipsum dolor sit amet, consectetur adipisicing elit.
                          Quod eos
                          id officiis hic tenetur.</p>
                        <!--Review-->
                        <div class="grey-text">
                          <mdb-icon fas [icon]="i == 4 ? 'star-half' : 'star'"   *ngFor="let star of stars; let i = index"></mdb-icon>
                        </div>
                      </div>
                    </div>
                    <!--Grid column-->
                    <!--Grid column-->
                    <div class="col-md-4 clearfix d-none d-md-block">
                      <div class="testimonial">
                        <!--Avatar-->
                        <div class="avatar mx-auto">
                          <img src="https://mdbootstrap.com/img/Photos/Avatars/img%20(32).webp" class="rounded-circle img-fluid">
                        </div>
                        <!--Content-->
                        <h4 class="font-weight-bold mt-4">John Doe</h4>
                        <h6 class="blue-text font-weight-bold my-3">Web Developer</h6>
                        <p class="font-weight-normal">
                          <mdb-icon fas icon="quote-left" class="pr-2"></mdb-icon>Ut enim ad minima veniam, quis nostrum exercitationem ullam
                          corporis
                          laboriosam.</p>
                        <!--Review-->
                        <div class="grey-text">
                          <mdb-icon fas icon="star" *ngFor="let star of stars; let i = index"></mdb-icon>
                        </div>
                      </div>
                    </div>
                    <!--Grid column-->
                    <!--Grid column-->
                    <div class="col-md-4 clearfix d-none d-md-block">
                      <div class="testimonial">
                        <!--Avatar-->
                        <div class="avatar mx-auto">
                          <img src="https://mdbootstrap.com/img/Photos/Avatars/img%20(31).webp" class="rounded-circle img-fluid">
                        </div>
                        <!--Content-->
                        <h4 class="font-weight-bold mt-4">Abbey Clark</h4>
                        <h6 class="blue-text font-weight-bold my-3">Photographer</h6>
                        <p class="font-weight-normal">
                          <mdb-icon fas icon="quote-left" class="fas fa-quote-left pr-2"></mdb-icon>Quis autem vel eum iure reprehenderit qui in ea voluptate
                          velit esse
                          quam nihil molestiae.</p>
                        <!--Review-->
                        <div class="grey-text">
                          <mdb-icon fas [icon]="i == 4 ? 'star-o' : 'star' " *ngFor="let star of stars; let i = index"></mdb-icon>
                        </div>
                      </div>
                    </div>
                    <!--Grid column-->
                  </mdb-slide>
                  <!--/First slide-->
                  <!--Second slide-->
                  <mdb-slide>
                    <div class="col-md-4">
                      <div class="testimonial">
                        <!--Avatar-->
                        <div class="avatar mx-auto">
                          <img src="https://mdbootstrap.com/img/Photos/Avatars/img%20(4).webp" class="rounded-circle img-fluid">
                        </div>
                        <!--Content-->
                        <h4 class="font-weight-bold mt-4">Blake Dabney</h4>
                        <h6 class="blue-text font-weight-bold my-3">Web Designer</h6>
                        <p class="font-weight-normal">
                          <mdb-icon fas icon="quote-elft" class="pr-2"></mdb-icon>Ut enim ad minima veniam, quis nostrum exercitationem ullam
                          corporis
                          laboriosam.</p>
                        <!--Review-->
                        <div class="grey-text">
                          <mdb-icon fas [icon]="i == 4 ? 'star-half' : 'star'"   *ngFor="let star of stars; let i = index"></mdb-icon>
                        </div>
                      </div>
                    </div>
                    <!--Grid column-->
                    <!--Grid column-->
                    <div class="col-md-4 clearfix d-none d-md-block">
                      <div class="testimonial">
                        <!--Avatar-->
                        <div class="avatar mx-auto">
                          <img src="https://mdbootstrap.com/img/Photos/Avatars/img%20(6).webp" class="rounded-circle img-fluid">
                        </div>
                        <!--Content-->
                        <h4 class="font-weight-bold mt-4">Andrea Clay</h4>
                        <h6 class="blue-text font-weight-bold my-3">Front-end developer</h6>
                        <p class="font-weight-normal">
                          <mdb-icon fas icon="quote-left" class="pr-2"></mdb-icon>Lorem ipsum dolor sit amet, consectetur adipisicing elit.
                          Quod eos
                          id officiis hic tenetur
                          quae.</p>
                        <!--Review-->
                        <div class="grey-text">
                          <mdb-icon fas icon="star" *ngFor="let star of stars; let i = index"></mdb-icon>
                        </div>
                      </div>
                    </div>
                    <!--Grid column-->
                    <!--Grid column-->
                    <div class="col-md-4 clearfix d-none d-md-block">
                      <div class="testimonial">
                        <!--Avatar-->
                        <div class="avatar mx-auto">
                          <img src="https://mdbootstrap.com/img/Photos/Avatars/img%20(7).webp" class="rounded-circle img-fluid">
                        </div>
                        <!--Content-->
                        <h4 class="font-weight-bold mt-4">Cami Gosse</h4>
                        <h6 class="blue-text font-weight-bold my-3">Phtographer</h6>
                        <p class="font-weight-normal">
                          <mdb-icon fas icon="quote-left" class="pr-2"></mdb-icon>At vero eos et accusamus et iusto odio dignissimos ducimus
                          qui
                          blanditiis praesentium.</p>
                        <!--Review-->
                        <div class="grey-text">
                          <mdb-icon fas [icon]="star == 4 ? 'star-o' : 'star'" *ngFor="let star of stars; let i = index"></mdb-icon>
                        </div>
                      </div>
                    </div>
                    <!--Grid column-->
                  </mdb-slide>
                  <!--/Second slide-->
                  <!--Third slide-->
                  <mdb-slide>
                    <!--Grid column-->
                    <div class="col-md-4">
                      <div class="testimonial">
                        <!--Avatar-->
                        <div class="avatar mx-auto">
                          <img src="https://mdbootstrap.com/img/Photos/Avatars/img%20(8).webp" class="rounded-circle img-fluid">
                        </div>
                        <!--Content-->
                        <h4 class="font-weight-bold mt-4">Bobby Haley</h4>
                        <h6 class="blue-text font-weight-bold my-3">Web Developer</h6>
                        <p class="font-weight-normal">
                          <mdb-icon fas icon="quote-left" class="pr-2"></mdb-icon>Lorem ipsum dolor sit amet, consectetur adipisicing elit.
                          Quod eos
                          id officiis hic tenetur
                          quae.</p>
                        <!--Review-->
                        <div class="grey-text">
                          <mdb-icon fas icon="star" *ngFor="let star of stars; let i = index"></mdb-icon>
                        </div>
                      </div>
                    </div>
                    <!--Grid column-->
                    <!--Grid column-->
                    <div class="col-md-4 clearfix d-none d-md-block">
                      <div class="testimonial">
                        <!--Avatar-->
                        <div class="avatar mx-auto">
                          <img src="https://mdbootstrap.com/img/Photos/Avatars/img%20(10).webp" class="rounded-circle img-fluid">
                        </div>
                        <!--Content-->
                        <h4 class="font-weight-bold mt-4">Elisa Janson</h4>
                        <h6 class="blue-text font-weight-bold my-3">Marketer</h6>
                        <p class="font-weight-normal">
                          <mdb-icon fas icon="quote-left" class="pr-2"></mdb-icon>At vero eos et accusamus et iusto odio dignissimos ducimus
                          qui
                          blanditiis praesentium.</p>
                        <!--Review-->
                        <div class="grey-text">
                          <mdb-icon fas [icon]="star == 4 ? 'star-half' : 'star'" *ngFor="let star of stars; let i = index"></mdb-icon>
                        </div>
                      </div>
                    </div>
                    <!--Grid column-->
                    <!--Grid column-->
                    <div class="col-md-4 clearfix d-none d-md-block">
                      <div class="testimonial">
                        <!--Avatar-->
                        <div class="avatar mx-auto">
                          <img src="https://mdbootstrap.com/img/Photos/Avatars/img%20(9).webp" class="rounded-circle img-fluid">
                        </div>
                        <!--Content-->
                        <h4 class="font-weight-bold mt-4">Rob Jacobs</h4>
                        <h6 class="blue-text font-weight-bold my-3">Front-end developer</h6>
                        <p class="font-weight-normal">
                          <mdb-icon fas icon="quote-left" class="pr-2"></mdb-icon>Ut enim ad minima veniam, quis nostrum exercitationem ullam
                          corporis
                          laboriosam.</p>
                        <!--Review-->
                        <div class="grey-text">
                          <mdb-icon fas [icon]="star == 4 ? 'star-o' : 'star'" *ngFor="let star of stars; let i = index"></mdb-icon>
                        </div>
                      </div>
                    </div>
                    <!--Grid column-->
                  </mdb-slide>
                  <!--/Third slide-->
                </mdb-carousel>
                <!--/.Carousel Wrapper-->
              </div>
              <!-- Grid row -->
            </section>
            <!-- Section: Testimonials v.4 -->
          
        
    
        
            
            import { Component } from '@angular/core';
  
            @Component({
              selector: 'carousel',
              templateUrl: './carousel.component.html',
              styleUrls: ['./carousel.component.scss'],
            })
            export class CarouselComponent {
              stars = Array(5);
            }
          
        
    

Angular testimonials - API

In this section you will find informations about required modules and available inputs, outputs, methods and events of Angular testimonials sections.


Modules used

In order to speed up your application, you can choose to import only the modules you actually need, instead of importing the entire MDB Angular library. Remember that importing the entire library, and immediately afterwards a specific module, is bad practice, and can cause application errors.

        
            
          import { CardsFreeModule, CarouselModule, WavesModule } from 'ng-uikit-pro-standard'

Vue Bootstrap Testimonials Sections

Vue Testimonials Sections - Bootstrap 4 & Material Design

Vue Bootstrap Testimonials can be used to present what people say about your project.

Testimonials v.1 MDB Pro component

Testimonials

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Fugit, error amet numquam iure provident voluptate esse quasi, veritatis totam voluptas nostrum quisquam eum porro a pariatur accusamus veniam.

John Doe


Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eos, adipisci.

Anna Aston


Neque cupiditate assumenda in maiores repudiandae mollitia architecto.

Maria Kate


Delectus impedit saepe officiis ab aliquam repellat, rem totam unde ducimus.

        
            
          <template>
            <mdb-container>
              <section class="text-center my-5">
                <h2 class="h1-responsive font-weight-bold my-5">Testimonials v.1</h2>
                <p class="dark-grey-text w-responsive mx-auto mb-5">Lorem ipsum dolor sit amet, consectetur adipisicing
                  elit. Fugit, error amet numquam iure provident voluptate esse quasi, veritatis totam voluptas nostrum
                  quisquam eum porro a pariatur veniam.</p>
                <mdb-row>
                  <mdb-col lg="4" md="12" class="mb-lg-0 mb-4">
                    <mdb-card testimonial>
                      <mdb-card-up color="info"></mdb-card-up>
                      <mdb-avatar class="mx-auto white">
                        <img src="https://mdbootstrap.com/img/Photos/Avatars/img%20(9).webp"
                          class="rounded-circle img-fluid" />
                      </mdb-avatar>
                      <mdb-card-body>
                        <h4 class="font-weight-bold mb-4">John Doe</h4>
                        <hr />
                        <p class="dark-grey-text mt-4">
                          <mdb-icon icon="quote-left" class="pr-2"></mdb-icon>Lorem ipsum dolor sit amet eos adipisci,
                          consectetur adipisicing elit.
                        </p>
                      </mdb-card-body>
                    </mdb-card>
                  </mdb-col>
                  <mdb-col lg="4" md="6" class="mb-lg-0 mb-4">
                    <mdb-card testimonial>
                      <mdb-card-up gradient="blue"></mdb-card-up>
                      <mdb-avatar class="mx-auto white">
                        <img src="https://mdbootstrap.com/img/Photos/Avatars/img%20(20).webp"
                          class="rounded-circle img-fluid" />
                      </mdb-avatar>
                      <mdb-card-body>
                        <h4 class="font-weight-bold mb-4">Anna Aston</h4>
                        <hr />
                        <p class="dark-grey-text mt-4"><i class="fas fa-quote-left pr-2"></i>Neque cupiditate assumenda in
                          maiores repudiandae mollitia architecto.</p>
                      </mdb-card-body>
                    </mdb-card>
                  </mdb-col>
                  <mdb-col lg="4" md="6" class="mb-lg-0 mb-4">
                    <mdb-card testimonial>
                      <mdb-card-up class="indigo"></mdb-card-up>
                      <mdb-avatar class="mx-auto white">
                        <img src="https://mdbootstrap.com/img/Photos/Avatars/img%20(10).webp"
                          class="rounded-circle img-fluid" />
                      </mdb-avatar>
                      <mdb-card-body>
                        <h4 class="font-weight-bold mb-4">Maria Kate</h4>
                        <hr />
                        <p class="dark-grey-text mt-4"><i class="fas fa-quote-left pr-2"></i>Delectus impedit saepe
                          officiis ab aliquam repellat rem unde ducimus.</p>
                      </mdb-card-body>
                    </mdb-card>
                  </mdb-col>
                </mdb-row>
              </section>
              <section class="text-center my-5">
            </mdb-container>
          </template>
          
        
    
        
            
          <script>
            import {
              mdbContainer,
              mdbRow,
              mdbCol,
              mdbCard,
              mdbCardBody,
              mdbCardUp,
              mdbAvatar,
              mdbIcon
            } from 'mdbvue';
            export default {
              name: 'TestimonialsPage',
              components: {
                mdbContainer,
                mdbRow,
                mdbCol,
                mdbCard,
                mdbCardBody,
                mdbCardUp,
                mdbAvatar,
                mdbIcon
              },
              data() {
                return {};
              }
            }
          </script>
          
        
    

Testimonials v.2 MDB Pro component

Testimonials

        
            
          <template>
            <mdb-carousel testimonial :interval="5000" controlls :items="3">
              <template #[i+1] v-for="(testimonial, i) in testimonials">
                <mdb-testimonial class="text-center" :key="i">
                  <mdb-avatar wrapperClass="z-depth-1 mb-4" :width="200" circle tag="img" :src="testimonial.img" />
                  <p>
                    <mdb-icon icon="quote-left" class="pr-1"></mdb-icon>
                    {{testimonial.quote}}
                  </p>
                  <h4 class="font-weight-bold">{{testimonial.name}}</h4>
                  <h6 class="font-weight-bold my-3">{{testimonial.position}}</h6>
                  <mdb-rating :value="testimonial.rating" disabled far iconActiveClass="blue-text" />
                </mdb-testimonial>
              </template>
            </mdb-carousel>
          </template>
          
        
    
        
            
          <script>
            import {
              mdbAvatar,
              mdbRating,
              mdbCarousel,
              mdbTestimonial
            } from 'mdbvue';
            export default {
              name: 'TestimonialsPage',
              components: {
                mdbAvatar,
                mdbCarousel,
                mdbTestimonial,
                mdbRating
              },
              data() {
                return {
                  testimonials: [{
                      img: "https://mdbootstrap.com/img/Photos/Avatars/img%20(30).webp",
                      quote: "Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quod eos id officiis hic tenetur quae quaerat ad velit ab. Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dolore cum accusamus eveniet molestias voluptatum inventore laboriosam labore sit, aspernatur praesentium iste impedit quidem dolor veniam.",
                      name: "Anna Deynah",
                      position: "Founder at ET Company",
                      rating: 4
                    },
                    {
                      img: "https://mdbootstrap.com/img/Photos/Avatars/img%20(31).webp",
                      quote: "Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore.",
                      name: "Maria Kate",
                      position: "Photographer at Studio LA",
                      rating: 5
                    },
                    {
                      img: "https://mdbootstrap.com/img/Photos/Avatars/img%20(3).webp",
                      quote: "Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium.",
                      name: "John Doe ",
                      position: "Front-end Developer in NY",
                      rating: 4
                    }
                  ],
                }
              }
            }
          </script>
          
        
    

Testimonials v.3 MDB Pro component

Testimonials v.3

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Fugit, error amet numquam iure provident voluptate esse quasi, veritatis totam voluptas nostrum quisquam eum porro a pariatur accusamus veniam.

Anna Deynah

Web Designer

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quod eos id officiis hic tenetur quae quaerat ad velit ab hic tenetur.

John Doe

Web Developer

Ut enim ad minima veniam, quis nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi.

Maria Kate

Photographer

At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti.

        
            
          <template>
            <mdb-container>
              <section class="team-section text-center my-5">
                <h2 class="h1-responsive font-weight-bold my-5">Testimonials v.3</h2>
                <p class="dark-grey-text w-responsive mx-auto mb-5">Lorem ipsum dolor sit amet, consectetur adipisicing
                  elit. Fugit, error amet numquam iure provident voluptate esse quasi, veritatis totam voluptas nostrum
                  quisquam eum porro a pariatur veniam.</p>
                <mdb-row class="text-center">
                  <mdb-col md="4" class="mb-md-0 mb-5">
                    <mdb-testimonial>
                      <mdb-avatar class="mx-auto">
                        <img src="https://mdbootstrap.com/img/Photos/Avatars/img%20(1).webp"
                          class="rounded-circle z-depth-1 img-fluid" />
                      </mdb-avatar>
                      <h4 class="font-weight-bold dark-grey-text mt-4">Anna Deynah</h4>
                      <h6 class="font-weight-bold blue-text my-3">Web Designer</h6>
                      <p class="font-weight-normal dark-grey-text">
                        <mdb-icon class="fas fa-quote-left pr-2"></mdb-icon>Lorem ipsum dolor sit amet, consectetur
                        adipisicing elit. Quod eos id officiis hic tenetur quae quaerat ad velit ab hic tenetur.
                      </p>
                      <div class="orange-text">
                        <mdb-icon icon="star"> </mdb-icon>
                        <mdb-icon icon="star"> </mdb-icon>
                        <mdb-icon icon="star"> </mdb-icon>
                        <mdb-icon icon="star"> </mdb-icon>
                        <mdb-icon icon="star-half-alt"> </mdb-icon>
                      </div>
                    </mdb-testimonial>
                  </mdb-col>
                  <mdb-col md="4" class="mb-md-0 mb-5">
                    <mdb-testimonial>
                      <mdb-avatar class="mx-auto">
                        <img src="https://mdbootstrap.com/img/Photos/Avatars/img%20(8).webp"
                          class="rounded-circle z-depth-1 img-fluid" />
                      </mdb-avatar>
                      <h4 class="font-weight-bold dark-grey-text mt-4">John Doe</h4>
                      <h6 class="font-weight-bold blue-text my-3">Web Developer</h6>
                      <p class="font-weight-normal dark-grey-text">
                        <mdb-icon class="fas fa-quote-left pr-2"></mdb-icon>Ut enim ad minima veniam, quis nostrum
                        exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid commodi.
                      </p>
                      <div class="orange-text">
                        <mdb-icon icon="star"> </mdb-icon>
                        <mdb-icon icon="star"> </mdb-icon>
                        <mdb-icon icon="star"> </mdb-icon>
                        <mdb-icon icon="star"> </mdb-icon>
                        <mdb-icon icon="star"> </mdb-icon>
                      </div>
                    </mdb-testimonial>
                  </mdb-col>
                  <mdb-col md="4">
                    <mdb-testimonial>
                      <mdb-avatar class="mx-auto">
                        <img src="https://mdbootstrap.com/img/Photos/Avatars/img%20(10).webp"
                          class="rounded-circle z-depth-1 img-fluid" />
                      </mdb-avatar>
                      <h4 class="font-weight-bold dark-grey-text mt-4">Maria Kate</h4>
                      <h6 class="font-weight-bold blue-text my-3">Photographer</h6>
                      <p class="font-weight-normal dark-grey-text">
                        <mdb-icon class="fas fa-quote-left pr-2"></mdb-icon>At vero eos et accusamus et iusto odio
                        dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti.
                      </p>
                      <div class="orange-text">
                        <mdb-icon icon="star"> </mdb-icon>
                        <mdb-icon icon="star"> </mdb-icon>
                        <mdb-icon icon="star"> </mdb-icon>
                        <mdb-icon icon="star"> </mdb-icon>
                        <mdb-icon far icon="star"> </mdb-icon>
                      </div>
                    </mdb-testimonial>
                  </mdb-col>
                </mdb-row>
              </section>
            </mdb-container>
          </template>
          
        
    
        
            
          <script>
            import {
              mdbContainer,
              mdbRow,
              mdbCol,
              mdbCard,
              mdbCardBody,
              mdbCardUp,
              mdbAvatar,
              mdbIcon,
              mdbTestimonial
            } from 'mdbvue';
            export default {
              name: 'TestimonialsPage',
              components: {
                mdbContainer,
                mdbRow,
                mdbCol,
                mdbCard,
                mdbCardBody,
                mdbCardUp,
                mdbAvatar,
                mdbIcon,
                mdbTestimonial
              },
              data() {
                return {};
              }
            }
          </script>
          
        
    

Testimonials v.4 MDB Pro component

Testimonials v.4

        
            
          <template>
            <mdb-container>
              <section class="text-center my-5">
                <mdb-carousel multi slide :items="9" testimonial indicators indicatorsColor="indigo" controlls
                  navColor="indigo">
                  <template #[i+1] v-for="(testimonial, i) in testimonials">
                    <mdb-testimonial :key="i">
                      <mdb-avatar wrapperClass="z-depth-1 mb-4" :width="200" circle tag="img" :src="testimonial.img" />
                      <h4 class="font-weight-bold mt-4">{{testimonial.name}}</h4>
                      <h6 class="blue-text font-weight-bold my-3">{{testimonial.position}}</h6>
                      <p class="font-weight-normal">
                        <mdb-icon icon="quote-left" class="pr-2"></mdb-icon>
                        {{testimonial.quote}}
                      </p>
                      <div>
                        <mdb-rating :value="testimonial.rating" disabled far iconActiveClass="grey-text" />
                      </div>
                    </mdb-testimonial>
                  </template>
                </mdb-carousel>
              </section>
            </mdb-container>
          </template>
          
        
    
        
            
          <script>
            import {
              mdbCarousel,
              mdbRating,
              mdbContainer,
              mdbRow,
              mdbTestimonial,
              mdbAvatar,
              mdbIcon
            } from "mdbvue";

            export default {
              name: "TestimonialsMultiPage",
              components: {
                mdbCarousel,
                mdbRating,
                mdbContainer,
                mdbRow,
                mdbTestimonial,
                mdbAvatar,
                mdbIcon
              },
              data() {
                return {
                  testimonials: [{
                      img: "https://mdbootstrap.com/img/Photos/Avatars/img%20(1).webp",
                      quote: "Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. ",
                      name: "Anna Deynah",
                      position: "Web Designer",
                      rating: 4
                    },
                    {
                      img: "https://mdbootstrap.com/img/Photos/Avatars/img%20(3).webp",
                      quote: "Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. ",
                      name: "John Doe",
                      position: "Web Developer",
                      rating: 5
                    },
                    {
                      img: "https://mdbootstrap.com/img/Photos/Avatars/img%20(31).webp",
                      quote: "Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. ",
                      name: "Abbey Clark",
                      position: "Photographer",
                      rating: 4
                    },
                    {
                      img: "https://mdbootstrap.com/img/Photos/Avatars/img%20(4).webp",
                      quote: "Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. ",
                      name: "Blake Dabney",
                      position: "Web Designer",
                      rating: 4
                    },
                    {
                      img: "https://mdbootstrap.com/img/Photos/Avatars/img%20(6).webp",
                      quote: "Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. ",
                      name: "Cami Gosse",
                      position: "Frontend Developer",
                      rating: 5
                    },
                    {
                      img: "https://mdbootstrap.com/img/Photos/Avatars/img%20(7).webp",
                      quote: "Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. ",
                      name: "Andrea Clay",
                      position: "Photographer",
                      rating: 4
                    },
                    {
                      img: "https://mdbootstrap.com/img/Photos/Avatars/img%20(8).webp",
                      quote: "Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. ",
                      name: "Bobby Haley",
                      position: "Web Developer",
                      rating: 5
                    },
                    {
                      img: "https://mdbootstrap.com/img/Photos/Avatars/img%20(10).webp",
                      quote: "Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. ",
                      name: "Elisa Janson",
                      position: "Frontend Developer",
                      rating: 5
                    },
                    {
                      img: "https://mdbootstrap.com/img/Photos/Avatars/img%20(9).webp",
                      quote: "Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. ",
                      name: "Rob Jacobs",
                      position: "Backend Developer",
                      rating: 4
                    }
                  ]
                };
              }
            };
          </script>